Subject: bug#20656: A bug has been detected in GNU Parted

From: Håkon Løvdal <[email-masked]>
Date: Tue, 26 May 2015 18:34:48 +0200

Hi. Version 2.3 is many years old. Could you retry with the latest version, 3.2?

BR Håkon Løvdal

On 25 May 2015 at 23:12, Mirko ML <[email-masked]> wrote:
> partprobe
> Backtrace has 12 calls on stack:
>   12: /lib/x86_64-linux-gnu/libparted.so.0(ped_assert+0x2e) [0x7fb6c77b22ee]
>   11: /lib/x86_64-linux-gnu/libparted.so.0(+0x3e02e) [0x7fb6c77dc02e]
>   10: /lib/x86_64-linux-gnu/libparted.so.0(+0x3e43e) [0x7fb6c77dc43e]
>   9: /lib/x86_64-linux-gnu/libparted.so.0(+0x40c73) [0x7fb6c77dec73]
>   8: /lib/x86_64-linux-gnu/libparted.so.0(ped_disk_add_partition+0x163)
> [0x7fb6c77b8053]
>   7: /lib/x86_64-linux-gnu/libparted.so.0(+0x3f72b) [0x7fb6c77dd72b]
>   6: /lib/x86_64-linux-gnu/libparted.so.0(+0x407c3) [0x7fb6c77de7c3]
>   5: /lib/x86_64-linux-gnu/libparted.so.0(ped_disk_new+0x58)
> [0x7fb6c77b84f8]
>   4: partprobe() [0x4013a0]
>   3: partprobe(main+0x20e) [0x4011fe]
>   2: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xfd)
> [0x7fb6c6758ead]
>   1: partprobe() [0x401249]
> A bug has been detected in GNU Parted.  Refer to the web site of parted
> http://www.gnu.org/software/parted/parted.html for more information of
> what could be useful for bug submitting!  Please email a bug report to
> [email-masked] containing at least the version (2.3) and the
> following message:  Assertion (head_size <= 63) at
> ../../../libparted/labels/dos.c:662 in function
> probe_partition_for_geom() failed.
>
>
> --
> Ciao
> Mirko
>
>
>